curl --request GET \
--url 'https://response.stateset.com/api/v1/responses' \
--header "Authorization: Bearer $RESPONSECX_API_KEY"
{
"object": "list",
"data": [
{
"object": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"channel": "string",
"customer_message": "string",
"agent_response": "string",
"rating": "string",
"handled_by": "string",
"taken_over": true,
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z"
}
],
"has_more": true,
"next_cursor": "string"
}
List handled response turns
Responses
GET
/
api
/
v1
/
responses
curl --request GET \
--url 'https://response.stateset.com/api/v1/responses' \
--header "Authorization: Bearer $RESPONSECX_API_KEY"
{
"object": "list",
"data": [
{
"object": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"channel": "string",
"customer_message": "string",
"agent_response": "string",
"rating": "string",
"handled_by": "string",
"taken_over": true,
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z"
}
],
"has_more": true,
"next_cursor": "string"
}
Query parameters
integer
integer
string
Opaque next_cursor from a previous page. Takes precedence over offset.
string
Filter by channel, e.g. email, chat.
string
Filter by rating value.
string
Only escalated (taken-over) responses.
string (date-time)
string (date-time)
Response
object
string
Response[]
boolean
string
Keyset cursor for the next page — present only on cursor-capable lists with more rows.
Status codes
| Code | Meaning |
|---|---|
200 | Responses |
401 | Missing, invalid, or expired API key. |
403 | The key lacks a required scope. |
429 | Rate limit exceeded. |
Access
| Required scope | responses:read |
| Rate limit | 120 requests per minute |
curl --request GET \
--url 'https://response.stateset.com/api/v1/responses' \
--header "Authorization: Bearer $RESPONSECX_API_KEY"
{
"object": "list",
"data": [
{
"object": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"channel": "string",
"customer_message": "string",
"agent_response": "string",
"rating": "string",
"handled_by": "string",
"taken_over": true,
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z"
}
],
"has_more": true,
"next_cursor": "string"
}
Last modified on August 31, 2026